| Home | Libraries | People | FAQ | More

## Type definition lagged_fibonacci9689

lagged_fibonacci9689

## Synopsis

    // In header: <boost/random/lagged_fibonacci.hpp>

    typedef lagged_fibonacci_01_engine< double, 48, 9689, 5502 > lagged_fibonacci9689;

## Description

The specializations lagged_fibonacci607 ... lagged_fibonacci44497 use well tested lags.

See

> "On the Periods of Generalized Fibonacci Recurrences", Richard P. Brent Computer Sciences Laboratory Australian National University, December 1992

The lags used here can be found in

> "Uniform random number generators for supercomputers", Richard Brent, Proc. of Fifth Australian Supercomputer Conference, Melbourne, Dec. 1992, pp. 704-706.